Уязвимость при обработке avi файлов в Xvid

Дата публикации:
20.06.2007
Дата изменения:
24.03.2009
Всего просмотров:
1434
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Xvid 1.x
Уязвимые версии: Xvid 1.1.2, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании или выполнить произвольный код на целевой системе.

Уязвимость существует из-за ошибки индексирования массива в функциях "get_intra_block()","get_inter_block_h263()" и "get_inter_block_mpeg()" в файле src/bitstream/mbcoding.c при обработке avi файлов. Удаленный пользователь может с помощью специально сформированного avi файла выполнить произвольный код на целевой системе.

URL производителя: www.xvid.org

Решение: Установите последнюю версию с сайта производителя.

Журнал изменений:
24.03.2009
Изменена секция "Решение"